/*
    dir.h -- Structure for a directory entry.
*/
 
#define rdonly	    0x0001	    /* Read-only file */
#define hidden	    0x0002	    /* Hidden file */
#define sysfile     0x0004	    /* System file */
#define vlabel	    0x0008	    /* File is volume label */
#define subdir	    0x0010	    /* Subdirectory */
#define archive     0x0020	    /* Archived file */
 
struct dir {
  char fname [8];		/* File name */
  char fextn [3];		/* File name extension */
  char attribute;               /* File attribute */
  char reserved [10];		/* Reserved for DOS in scan. */
  unsigned int ftime;		/* File time (see DOS tech ref p. 5-12) */
  unsigned int fdate;		/* File date */
  unsigned int fcluster;	/* First cluster number */
  unsigned long fsize;		/* File Size		 */
};

struct dir_ch { 		/* Directory sector chain */
  struct dir_ch *dirnext;	/* Link pointer 	*/
  unsigned secno;		/* Sector number	*/
  struct dir dirent [16];	/* 16 directory entries */
} ;



